CURLOPT_CHUNK_DATA(3)

NAME
CURLOPT_CHUNK_DATA - custom pointer to the FTP chunk callbacks

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CHUNK_DATA, void *pointer);

DESCRIPTION
Pass a pointer that will be untouched by libcurl and passed as the ptr argument to the CURLOPT_CHUNK_BGN_FUNCTION(3) and CURLOPT_CHUNK_END_FUNCTION(3).

DEFAULT
NULL

PROTOCOLS
FTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.21.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_CHUNK_BGN_FUNCTION(3), CURLOPT_WILDCARDMATCH(3),